Bug 234999 - Remove support for Direct2D / FTW
Summary: Remove support for Direct2D / FTW
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords: InRadar
Depends on:
Blocks: 235054
  Show dependency treegraph
 
Reported: 2022-01-07 18:28 PST by Sam Weinig
Modified: 2022-01-11 21:14 PST (History)
34 users (show)

See Also:


Attachments
Patch (469.96 KB, patch)
2022-01-07 18:40 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (469.96 KB, patch)
2022-01-08 09:44 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (470.12 KB, patch)
2022-01-08 10:13 PST, Sam Weinig
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (471.96 KB, patch)
2022-01-08 10:40 PST, Sam Weinig
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (473.08 KB, patch)
2022-01-08 11:13 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (490.56 KB, patch)
2022-01-08 17:29 PST, Sam Weinig
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (493.35 KB, patch)
2022-01-08 18:09 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (494.14 KB, patch)
2022-01-09 09:43 PST, Sam Weinig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2022-01-07 18:28:53 PST
Remove support for Direct2D
Comment 1 Sam Weinig 2022-01-07 18:40:10 PST Comment hidden (obsolete)
Comment 2 EWS Watchlist 2022-01-07 18:41:41 PST
Note that there are important steps to take when updating ANGLE. See https://trac.webkit.org/wiki/UpdatingANGLE
Comment 3 Sam Weinig 2022-01-08 09:44:57 PST Comment hidden (obsolete)
Comment 4 Sam Weinig 2022-01-08 10:13:27 PST Comment hidden (obsolete)
Comment 5 Sam Weinig 2022-01-08 10:40:00 PST Comment hidden (obsolete)
Comment 6 Sam Weinig 2022-01-08 11:13:14 PST Comment hidden (obsolete)
Comment 7 Sam Weinig 2022-01-08 17:29:48 PST Comment hidden (obsolete)
Comment 8 Sam Weinig 2022-01-08 18:09:25 PST Comment hidden (obsolete)
Comment 9 Sam Weinig 2022-01-09 09:43:07 PST
Created attachment 448709 [details]
Patch
Comment 10 Sam Weinig 2022-01-09 09:45:29 PST
Brent, I believe you added the FTW build, so I want to double check that you are on board with this (my memory is that the last time I asked you were).

The code has not built in a long time at this point, and has bit-rotted quite a bit. I keep accidentally trying to make changes in Direct2D files as part of refactors only to realize they don't actually compile at all.
Comment 11 Brent Fulgham 2022-01-09 13:15:47 PST
(In reply to Sam Weinig from comment #10)
> Brent, I believe you added the FTW build, so I want to double check that you
> are on board with this (my memory is that the last time I asked you were).
> 
> The code has not built in a long time at this point, and has bit-rotted
> quite a bit. I keep accidentally trying to make changes in Direct2D files as
> part of refactors only to realize they don't actually compile at all.

Yes, this was a cool idea that I can’t work on at a meaningful level, and that no one else wanted to help with. The code will always be available in the repo, so we could revive it if someone wanted to do so.

Please remove this old code.

Thank you for doing this work!
Comment 12 EWS 2022-01-09 19:40:44 PST
Committed r287829 (245881@main): <https://commits.webkit.org/245881@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 448709 [details].
Comment 13 Radar WebKit Bug Importer 2022-01-09 19:41:22 PST
<rdar://problem/87320559>